Name: rhevm-cli
Version: 3.3.0.13
Release: 1%{?dist}
Summary: RHEV-M Engine Command Line Interface
Group: Development/Libraries
License: ASL 2.0
URL: http://ovirt.org/wiki/CLI

# git clone git://gerrit.eng.lab.tlv.redhat.com/rhevm-cli.git
# cd rhevm-cli
# git archive --prefix=rhevm-cli-3.3.0.13/ 3.3.0.13 | xz > rhevm-cli-3.3.0.13.tar.xz
Source0: %{name}-%{version}.tar.xz

BuildRequires: python2-devel
BuildRequires: python-setuptools-devel
BuildRequires: python-ply
BuildRequires: python-kitchen

BuildArch: noarch

Requires: python
Requires: rhevm-sdk-python >= 3.3.0.14
Requires: pexpect
Requires: python-setuptools
Requires: python-ply
Requires: python-kitchen

# This package and the corresponding upstream package use the same
# paths and files, so they can't be installed together:
Conflicts: ovirt-engine-cli

%description
The command line interface for RHEV-M.

%prep
%setup -q

%build

# Call the method that generates the parsing tables, so that they
# are generated and included in the package:
pushd src
  %{__python} -c 'import cli.parser; parser = cli.parser.Parser(); parser._write_tables()'
popd

%{__python} -c 'import setuptools; execfile("setup.py")' build

%install
%{__python} -c 'import setuptools; execfile("setup.py")' install -O1 --skip-build --root %{buildroot}

%files
%{python_sitelib}/ovirtcli
%{python_sitelib}/cli
%{python_sitelib}/rhevm_shell-*
%attr (755,root,root)/usr/bin/rhevm-shell
%doc README
%doc AUTHORS
%doc LICENSE

%changelog
* Wed Jan 1 2014 Juan Hernandez <juan.hernandez@redhat.com> - 3.3.0.13-1
- Action command mixes correctly passed redirection parameter #1047513

* Thu Dec  12 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.12-1
- mismatch between restore snapshot syntax and auto completion #1027298

* Tue Nov  12 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.11-1
- x-identifier auto-completion doesn't work in permissions #102728

* Tue Nov  5 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.10-1
- rhevm-shell --help requires authentication in autoconnect mode #1026798

* Tue Nov  5 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.9-1
- update on vm --os-boot does not work as expected #1012985

* Tue Oct  8 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.8-1
- incorrect property to python built-in symbol encapsulation #1015975
- make ctrl-c breaking the command rather than existing shell #869269

* Tue Sep  17 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.7-1
- unclear error message when logging into cli with bad formatted url #960876
- update of power management agent type via CLI has failed #1005751
- fix session_timeout help #1005749
- restrict to sdk 3.3.0.14

* Tue Sep  3 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.6-1
- status command description need to rephrase #957624
- wrong error message when running 'show event --id <wrong id>' #980855

* Tue Jul  9 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.5-1
- refactor "connect" command help
- remove support for --password option #983713
- add option to define auto conenct #918908
- "exit" command fails after "disconnect" from script #971285

* Tue Jun  18 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.3-1
- shell should contain the hostname of the system #866319
- certificate file keys are not exposed in .rhevmshellrc #960983
- add brick operation fails from ovirt-shell(#923169)
- fail nicely on AttributeError 

* Wed Jun  14 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.2-1
- datetime.datetime object has no attribute __dict__ #957519
- remove pexpect dependency
- Ping command success message need to be rephrased #918749
- spicec does not pass cert_file #953582
- Error in "update network --cluster-identifier --usages-usage" #950993
- List/Show suggests parent+child as single param #950398
- Error type "brick" does not exist." on replace brick #923196
- Implement Session-TTL header support #928314
- unclear error message when using unsupported 2 levels attribute #949642
- correlation_id is not attached to update command #950441
- connect --help will log the user out of the disconnected cli #890340
- "help add" fails to format the error when number of provided args in incorrect #922018

* Tue Jun  12 2013 Michael Pasternak <mpastern@redhat.com> - 3.3.0.1-1
- at vm.start() --vm-os-boot doesn't send the order of devices #921464
- rephrase status command help
- add option to retrieve system summary #854369
- accept IP address as FQ argument rather than string #886067
- fix broken pipe
- Bad error message when trying to create a new Role #908284
- add flag --dont-validate-cert-chain #915231
- collection-based-options could be passed in 2 ways #859684
- make NO_SUCH_ACTION error a bit more clear
- ovirt-cli DistributionNotFound exception on f18 #881011
- ovirt-shell misleading help for command "connect" #907943
- show event -id accept strings instead of numeric values #886786
- Use vncviewer passwordFile instead of passwdInput

* Tue Jun  11 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.1.1-1
- "exit" command fails after "disconnect" from the script #971285
- certificate file keys are not exposed in .ovirtshellrc #960983

* Sun May  25  2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.9-1
- ovirt-cli DistributionNotFound exception on f18 #881011
- adding to help message ovirt-shell configuration details #890800
- wrong error when passing empty collection based option #890525
- wrong error when passing empty kwargs #891080

* Wed May  1 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.8-1
- datetime.datetime object has no attribute __dict__ #957519

* Thu Apr  25 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.7-1
- error in "update network --cluster-identifier --usages-usage" #950993
- spicec does not pass cert_file #953582
- list/show suggests parent+child as single param #950398
- error type "brick" does not exist." on replace brick #923196
- unclear error message when using unsupported 2 levels attribute #949642
- correlation_id is not attached to update command #950441
- implement Session-TTL header support #928314
- connect --help will log the user out of the disconnected cli #890340
- "help add" fails to format the error when number of provided args is incorrect #922018

* Thu Mar  28 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.6-1
- add/update --vm-os-boot doesn't send the order of devices #921464
- ping command success message need to be rephrased #918749

* Sun Mar  10 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.5-1
 - fix broken pipe at script execution

* Sun Mar  3 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.4-1
 - add flag --dont-validate-cert-chain #915231

* Thu Jan  17 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.3-1
 - added detailed command syntax in help
 - fixed DistributionNotFound exception on f18 #881011

* Thu Jan  10 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.2-1
 - few rhevm branding changes

* Tue Jan  8 2013 Michael Pasternak <mpastern@redhat.com> - 3.2.0.1-1
 - typo in help update manual #890368
 - "remove permit" doesnt work by-id #887805
 - wrong response for suspend VM #886944
 - auto complete suggests --from_event_id while it shouldnt #886792
 - negative numbers wrapped as strings #880216
 - missing acknowledgement for remove commands #886941
 - update prompt status upon "Connection failure" #880559
 - wrong name of section in .rhevmshell causes to traceback #880641
 - adding to help message location of .rhevmshellrc #890800
 - wrong error when passing empty collection based option #890525
 - wrong error when passing empty kwargs #891080

* Wed Dec  5 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.1.1-1
 - disable output redirection via config #866853
 - CTRL+C signal while password prompt appears causes to rhevm-cli to fall #868647

* Tue Oct  16 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.17-1
 - adapt to sdk-3.1.0.14 restriction of .get() methods to id/name

* Mon Oct  1 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.16-1
- support utf-8 encoding
- change all occurrences of ovirt -> rhevm #856497
- "storagedomain" option appears in all vm actions #856164
- do not log /connect command in history
- disable /history while not connected
- add username/password prompt/command-line functionality #854338

* Thu Sep  11 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.15-1
- history command does not support pipe redirection #854486
- Rename "delete" command with "remove" #855769
- Raise an error if identifier is not specified in /show command #855750
- remove --show-all option from "show" command #855749
- rename "create" command with "add" #855773
- change collection based arguments syntax help #854506
- valid UUIDs are treated as syntax error #854391

* Thu Sep  6 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.13-1
- revert of do not mandate CA certificate
- do not load/save example_config. file

* Tue Sep  4 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.12-1
- subcollection are not listed not shown #854047

* Mon Sep  3 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.11-1
- raise NoCertificatesError only when no ca_file specified
- do not mandate CA certificate
  (this change is required to allow cli consumers adapting to new security policy)
  
* Mon Aug 27 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.10-1
- fix incorrect ExecutionMode import

* Mon Aug 27 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.9-1
- implement /filter flag
- do not write to file i/o during script execution
- shell does not exit when using /exit/ command in script #850597

* Mon Aug  20 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.8-1
- implement insecure flag #848046
- implement server identity check #848376
- collection-based-options definition doesnt look like cli format #833788

* Sun Jul 15 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.6-1
- support python 2.6 version format

* Sun Jul 15 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.5-1
- refactor /status/ command
- do not force credentials check on sdk > 3.1.0.4
- implement /info/ command
- implement generic parameters processing for /list/ command

* Mon Jul 9 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.4-1
- use host-subject (certificate) to validate host identity during spice initiation
- implement syntax error
- recognize RequestError as command failure
- do not sort command options in /help/ commands

* Mon Jun 25 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.3-1
- expend nested types as parameters overloads
- refactor /help/ to support parameters overload
- do not clear screen on sys.error
- refactor auto-completion to support 3+ deep collections/resources
- cli does not support 3+ deep collections/resources #827845

* Thu Jun 7 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.2-1alpha
- Implement history browsing mechanism #823512, new capabilities:
    - persistent history stack
    - recursive history search - ctrl+r
    - history listing - history
    - history slide retrieval - history N
- Implement pipe redirection to linux shell #823508
- exit on incorrect option
- miss-type in "help list" command #803399

* Wed May 16 2012 Michael Pasternak <mpastern@redhat.com> - 3.1.0.1-1alpha
- add basic scripting capabilities
- Support multiline input #815684
- Version format refactoring to align with oVirt version schema 
- Alpha release

* Thu May 10 2012 Michael Pasternak <mpastern@redhat.com> - 2.1.6-1
- Remove pregenerated parsing tables
- Allow quoting of strings with single or double quotes
- Don't add -s option to spicec when SSL is disabled (#812299)

* Wed Mar 28 2012 Michael Pasternak <mpastern@redhat.com> - 2.1.5-1
- use OrderedDict instead of papyon odict
- get rid of papyon dep.

* Wed Mar 21 2012 Michael Pasternak <mpastern@redhat.com> - 2.1.4-1
- no auto completion for connect command #803312

* Wed Mar 14 2012 Michael Pasternak <mpastern@redhat.com> - 2.1.3-1
- remove codegen.doc.documentation import

* Tue Mar 13 2012 Michael Pasternak <mpastern@redhat.com> - 2.1.2-1
- do not consider empty string as a command (see 2.1.1-1 changes for 2.1.X rpm diffs)

* Tue Mar 13 2012 Michael Pasternak <mpastern@redhat.com> - 2.1.1-1
- do not expose commands other than /connect,help,exit/ when disconnected
- a user can use Status option as action while it doesnt exist #800047
- cli: console command not function #800052
- support auto-completion on /update/ command
- implement collection based parameters support
- support parameters_set overloads in help
- implement support for multi-argument methods in sdk
- call sys.exit() on Ctrl+C signal

* Wed Feb 15 2012 Michael Pasternak <mpastern@redhat.com> - 2.0-1
- New application core
- Added support for commands history stack
- Added support for context aware auto-competition
- Dynamic ovirt-engine-sdk meatdata discovering
- Removed restriction for specific version of ovirt-engine-sdk
  from 1.5 and further ovirt-engine-cli can work with any
  version of sdk (unless sdk introduced cli incompatible change)
- same naming convention in ovirt-engine-cli and ovirt-engine-sdk
- reformatted output to support reduced and expended modes in
  list in show commands by --show-all argument 
- object fields formatting
- added support for linux shell commands redirection
- shell output redirection support
- added SSL arguments to connect command
- added ovirt-engine-api version discovering mechanism

* Thu Jan 19 2012 Michael Pasternak <mpastern@redhat.com> - 1.2-1
- unable to add host #782734
  https://bugzilla.redhat.com/show_bug.cgi?id=782734
- unable to add new cluster #782707
  https://bugzilla.redhat.com/show_bug.cgi?id=782707

* Mon Jan 16 2012 Michael Pasternak <mpastern@redhat.com> - 1.1-1
- unable to create data-center: problem with --version param #781834
  https://bugzilla.redhat.com/show_bug.cgi?id=781834
- authentication show as succeeded with bad password (text only) #781820
  https://bugzilla.redhat.com/show_bug.cgi?id=781820

* Thu Dec 15 2011 Ofer Schreiber <oschreib@redhat.com> - 1.0-1
- Initial build

